 <div class="cont">

<h1>Sign Up</h1>
<div class="registerForm">
<form #regForm="ngForm" (ngSubmit)="employeeRegister(regForm.value)">

<table>
    <tbody>
        <tr>
            <td>Employee Id </td>
            <td><input type="number" name="empId" [(ngModel)]="employee.empId" /></td>
        </tr>
        <tr>
            <td>Name</td>
            <td><input type="text" name="empName" [(ngModel)]="employee.empName" /></td>
        </tr>
        <tr>
            <td>Mobile</td>
            <td><input type="number" name="Mobile" [(ngModel)]="employee.Mobile" /></td>
        </tr>
        <tr>
            <td>Salary</td>
            <td><input type="number" name="salary" [(ngModel)]="employee.salary" /></td>
        </tr>
        <tr>
            <td>Gender</td>
            <td><select name="gender" [(ngModel)]="employee.gender">
                <option value=""> Select Gender </option>
                <option value="male"> Male </option>
                <option value="female"> Female </option>
                <option value="others"> Others </option>
            </select></td>
        </tr>
        <tr>
            <td>Country</td>
            <td><select name="country" [(ngModel)]="employee.country">
                <option> Select Country </option>
                <option value="IND"> India </option>
                <option value="CHI"> China </option>
                <option value="RUS"> Russia </option>
            </select></td>
        </tr>
        <tr>
            
            
            <td>Email Id</td>
            <input type="text" name="emailId" placeholder="Enter Email" #emailId="ngModel" ngModel required>
            <div *ngIf="emailId.touched && emailId.invalid" class="error-text">Please Enter Email</div>
                <div *ngIf="emailId.dirty && !employeeRegister(emailId.value)" class="error-text">please Enter valid email</div>
         

        </tr>
        <tr>
            
                <td>Password</td>
                <input type="password" placeholder="Enter password" name="password" [(ngModel)]="employee.password" #passwordInput="ngModel"
                       pattern="^(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$" />
                <div *ngIf="passwordInput.invalid && passwordInput.dirty" class="error-message">
                    <div *ngIf="passwordInput.errors?.['pattern']" class="error-text">Password must contain at least one uppercase letter, one number, and one special character.</div>
                </div>
            
        </tr>
    
        <tr>
           
            <td colspan="2" align="center">
                <button (click)="employeeRegister(regForm.value)">Register</button> 
            </td>
        </tr>
    </tbody>
</table>
</form>
</div>
</div>
